#define MAX_VAL 512     //masymalna warto odczytywana z magnetometru uywana jako referencja przy kalinbracji wzmocnienia


//definicje zmiennych do obsugi czujnikw na miagistrali I2C1 i I2C2
static unsigned char chData0[8], chData1[8], chData2[8];//bufor danych transmisji I2C
float fVectMagnMMC0[3], fVectMagnMMC1[3], fVectMagnMMC2[3];   //skadowe magnetyczne czujnika w postaci wektora
//static unsigned short sRawMag0[3], sRawMag1[3], sRawMag2[3];  //
float fRawMag2[3];
float fCorrMagnMMC0[3], fCorrMagnMMC1[3], fCorrMagnMMC2[3];   //korekcja zera mostka magnetometru
float fGainMagnMMC0[3], fGainMagnMMC1[3], fGainMagnMMC2[3];   //wzmocnienie wskaza magnetometru
float fOfstMagnMMC0[3], fOfstMagnMMC1[3], fOfstMagnMMC2[3];   //offset wskaza magnetometru
float fMaxValMagn1[3], fMaxValMagn2[3];     //warto maksymalna wskaza magnetometru potrzebna do wewntrznej kalibracji
float fMinValMagn1[3], fMinValMagn2[3];     //warto minimalna wskaza magnetometru potrzebna do wewntrznej kalibracji



//definicje procedur
unsigned char StartMagnetometerMMC(unsigned char chChan);
unsigned char ReadMagnetometerMMC(unsigned char chChan);
unsigned char ReSetMagnetometerMMC(unsigned char chChan, unsigned char chSet);
unsigned char InitMagnetometerMMC(void);
unsigned char CalculateMagnetometerMMC(float *fValX, float *fValY, float *fValZ);
unsigned char MeasureMagnetometerMMC(unsigned char chChan);
unsigned char CalibrateMagnetometerMMC(unsigned char chEtap);

//deklaracje zmiennych zewntrznych
extern unsigned char chI2C0End;     //flagi koca operacji na magistrali
extern unsigned short sInitFlag;   //zawiera flagi inicjalizacji zasobw sprztowych

//deklaracje procedur
extern unsigned char StartI2C0(unsigned char chAdr, unsigned char chSubAdr, unsigned char *chData, unsigned char chLenWr, unsigned char chLenRd);
extern unsigned char StartI2C1(unsigned char chAdr, unsigned char chSubAdr, unsigned char *chData, unsigned char chLenWr, unsigned char chLenRd);
extern unsigned char StartI2C2(unsigned char chAdr, unsigned char chSubAdr, unsigned char *chData, unsigned char chLenWr, unsigned char chLenRd);
extern unsigned char FramDataReadFloatValid(unsigned short sAddress, float *fValue, float fValMin, float fValMax, float fValDef, unsigned char chErrCode);
extern void FramDataWriteFloat(unsigned short sAddress, float fData);
extern unsigned char SetAsyncI2C_Cmd(unsigned char chCmd);
extern void BeepMin(void);
extern void BeepMax(void);
//mod_magn_calc
extern float CalcMagnCourse(float fMagX, float fMagY, float fMagZ, float fPhi, float fTheta);